<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AuthController;

Route::middleware("guest")->group(function (){
Route::get('/login', [AuthController::class, 'loginForm'])->name('loginForm');

Route::get('/registration', [AuthController::class, 'registrationForm'])->name('registrationForm');

Route::post('/registration', [AuthController::class, 'registration'])->name('registration');

Route::post('/login', [AuthController::class, 'login'])->name('login');
});

Route::middleware("auth")->group(function (){
Route::get('/logout', [AuthController::class, 'logout'])->name('logout');
});